package org.wfc.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wfc.user.api.domain.UKyc;
import org.wfc.user.domain.vo.UKycUserVo;

import java.util.List;

/**
 * <p>
 * 用户平台-KYC表 服务类
 * </p>
 *
 * @author sys
 * @since 2025-01-08
 */
public interface IUKycService extends IService<UKyc> {

    List<UKycUserVo> selectKycByUserId();

    public int isExistUserKyc(Long userId);

    public int insertUserKyc(UKyc uKyc);

    public int updateUserKyc(UKyc uKyc);

}
